/chakra/desktop/oyranos/src/oyranos-0.9.6/src/API_generated/oyranos_devices.c File Reference
Description: C source code API documentation for the Oyranos project.
Keywords: Oyranos,Color Management,Color Management,ICC,CMS,C,doxygen,API,documentation

| Oyranos Color Management System API - Version 0.9.6

Functions
oyranos_devices.c File Reference
`#include <string.h>`
`#include "oyCMMapi6_s.h"`
`#include "oyCMMapiFilters_s.h"`
`#include "oyCMMapi9_s_.h"`
`#include "oyFilterNode_s_.h"`
`#include "oyFilterCore_s_.h"`
`#include "oyFilterNodes_s.h"`
`#include "oyranos_helper.h"`
`#include "oyranos_icc.h"`
`#include "oyranos_texts.h"`
`#include "oyranos_db.h"`
`#include "oyranos_devices.h"`
`#include "oyranos_devices_internal.h"`
`#include "oyranos_object_internal.h"`
`#include "oyranos_sentinel.h"`
`#include "oyConfig_s_.h"`
`#include "oyOption_s_.h"`
`#include "oyOptions_s_.h"`
`#include "oyProfiles_s.h"`

## Functions
OYAPI int OYEXPORT | oyDevicesGet (const char *device_type, const char *device_class, oyOptions_s *options, oyConfigs_s **devices)
| get all devices matching to a device class and type More...
OYAPI int OYEXPORT | oyDeviceGet (const char *device_type, const char *device_class, const char *device_name, oyOptions_s *options, oyConfig_s **device)
| ask a module for device informations or other direct calls More...
OYAPI int OYEXPORT | oyDeviceBackendCall (oyConfig_s *device, oyOptions_s *options)
| get device answere from options More...
OYAPI int OYEXPORT | oyDeviceSetup (oyConfig_s *device, oyOptions_s *options)
| activate the device using the stored configuration More...
int | oyDeviceUnset (oyConfig_s *device)
| unset the device profile More...
OYAPI int OYEXPORT | oyDeviceGetInfo (oyConfig_s *device, oyNAME_e type, oyOptions_s *options, char **info_text, oyAlloc_f allocateFunc)
| get all devices matching to a device class and type More...
OYAPI int OYEXPORT | oyDeviceGetProfile (oyConfig_s *device, oyOptions_s *options, oyProfile_s **profile)
| order a device profile More...
OYAPI int OYEXPORT | oyDeviceAskProfile2 (oyConfig_s *device, oyOptions_s *options, oyProfile_s **profile)
| ask for the device profile More...
int | oyDeviceSetProfile (oyConfig_s *device, oySCOPE_e scope, const char *profile_name)
| set the device profile More...
OYAPI int OYEXPORT | oyDeviceProfileFromDB (oyConfig_s *device, char **profile_name, oyAlloc_f allocateFunc)
| look up a profile of a device from DB More...
OYAPI int OYEXPORT | oyDeviceSelectSimiliar (oyConfig_s *pattern, oyConfigs_s *heap, uint32_t flags, oyConfigs_s **matched_devices)
| get similiar devices by a pattern from a list More...
OYAPI int OYEXPORT | oyDeviceFromJSON (const char *json_text, oyOptions_s *options, oyConfig_s **device)
| generate a device from a JSON device calibration More...
OYAPI int OYEXPORT | oyDeviceToJSON (oyConfig_s *device, oyOptions_s *options, char **json_text, oyAlloc_f allocateFunc)
| get JSON format device calibration text from a device More...
OYAPI int OYEXPORT | oyDevicesFromTaxiDB (oyConfig_s *device, oyOptions_s *options, oyConfigs_s **devices, oyObject_s obj)
| search a calibration state in the taxi DB for a device More...
char * | oyGetFilterNodeRegFromDB (const char *db_base_key, int select_core, uint32_t flags, oyAlloc_f allocate_func)
| Get a default FilterNode from DB. More...
char * | oyGetFilterNodeRegFromOptions (const char *base_pattern, int select_core, oyOptions_s *options, oyAlloc_f allocate_func)
| Get a default FilterNode registration from options. More...
char * | oyGetFilterNodeDefaultPatternFromPolicy (const char *base_pattern, int select_core, oyAlloc_f allocate_func)
| Get a default FilterNode registration from a node type module. More...
uint32_t | oyICCProfileSelectionFlagsFromOptions (const char *db_base_key, const char *base_pattern, oyOptions_s *options, int select_core)
| Get valid profile selection flags from node options and fallbacks. More...

## Detailed Description

[Template file inheritance graph] +– oyranos_devices.template.c

Oyranos is an open source Color Management System

Copyright:
  2004-2016 (C) Kai-Uwe Behrmann

Author
  Kai-Uwe Behrmann ku.b@.nosp@m.gmx..nosp@m.de

License:
  new BSD - see: http://www.opensource.org/licenses/BSD-3-Clause

## Function Documentation

## ◆ oyGetFilterNodeDefaultPatternFromPolicy()

char* oyGetFilterNodeDefaultPatternFromPolicy | ( | const char * | base_pattern,
|  | int | select_core,
|  | oyAlloc_f | allocate_func
| ) |  |

Get a default FilterNode registration from a node type module.

Function oyGetFilterNodeDefaultPatternFromPolicy

## ◆ oyGetFilterNodeRegFromDB()

char* oyGetFilterNodeRegFromDB | ( | const char * | db_base_key,
|  | int | select_core,
|  | uint32_t | flags,
|  | oyAlloc_f | allocate_func
| ) |  |

Get a default FilterNode from DB.

Function oyGetFilterNodeRegFromDB

## ◆ oyGetFilterNodeRegFromOptions()

char* oyGetFilterNodeRegFromOptions | ( | const char * | base_pattern,
|  | int | select_core,
|  | oyOptions_s * | options,
|  | oyAlloc_f | allocate_func
| ) |  |

Get a default FilterNode registration from options.

Function oyGetFilterNodeRegFromOptions

Referenced by oyFilterNode_s::oyFilterNode_FromOptions().